System requirements

CCleaner will run on any PC running Microsoft Windows XP, Mac 10.6 or later. If you're running one of the following operating systems, you're fine to run CCleaner:

  • Windows 10 (all editions, including 64-bit)
  • Windows 8 (all editions, including 64-bit)
  • Windows 7 (all editions, including 64-bit)
  • Windows Vista (all editions, including 64-bit)
  • Windows XP (all editions, including 64-bit)
  • Windows 2003, 2008 and 2012 Server (all editions)
  • Mac 10.6 to 10.11 64-bit editions

Since CCleaner is a small, quick program there are no minimum memory or hard drive requirements.

Note 1: For Windows NT4, ME and 98, we recommend CCleaner Version 2.  For 2000 we recommend Version 3.

Note 2: CCleaner does not currently support Linux.

Need more information? Talk to our Business Team

×